summarylogtreecommitdiffstats
path: root/emacs-with-editor.install
diff options
context:
space:
mode:
Diffstat (limited to 'emacs-with-editor.install')
-rw-r--r--emacs-with-editor.install24
1 files changed, 24 insertions, 0 deletions
diff --git a/emacs-with-editor.install b/emacs-with-editor.install
new file mode 100644
index 00000000000..10c08d4ce5b
--- /dev/null
+++ b/emacs-with-editor.install
@@ -0,0 +1,24 @@
+infodir=/usr/share/info
+filelist=(with-editor.info)
+
+post_install() {
+ [ -x usr/bin/install-info ] || return 0
+ for file in ${filelist[@]}; do
+ install-info $infodir/$file $infodir/dir 2> /dev/null
+ done
+}
+
+post_upgrade() {
+ post_install $1
+}
+
+pre_remove() {
+ [ -x usr/bin/install-info ] || return 0
+ for file in ${filelist[@]}; do
+ install-info --delete $infodir/$file $infodir/dir 2> /dev/null
+ done
+}
+
+op=$1
+shift
+$op $*